Resume mandate
curl --request POST \
--url https://sg.sandbox.api.reap.global/agentic/mandates/{id}/resume \
--header 'Authorization: Bearer <token>' \
--header 'Reap-Version: <reap-version>'const options = {
method: 'POST',
headers: {'Reap-Version': '<reap-version>', Authorization: 'Bearer <token>'}
};
fetch('https://sg.sandbox.api.reap.global/agentic/mandates/{id}/resume', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sg.sandbox.api.reap.global/agentic/mandates/{id}/resume"
headers = {
"Reap-Version": "<reap-version>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text){
"id": "<string>",
"status": "REQUIRES_ACTION",
"enrollmentId": "<string>",
"owner": {
"type": "REAP_USER",
"id": "<string>",
"email": "<string>"
},
"frequency": "ONE_TIME",
"maxCharges": 0,
"merchantScope": "LISTED",
"merchant": {
"name": "<string>",
"url": "<string>",
"country": "<string>"
},
"amount": {
"amount": 123,
"currency": "<string>"
},
"nextAction": {
"type": "REDIRECT",
"url": "<string>",
"expiresAt": "<string>"
},
"createdAt": "<string>",
"updatedAt": "<string>"
}{
"error": {
"code": "AGENTIC_REQUEST_REJECTED",
"message": "<string>",
"detail": {}
}
}{
"error": {
"code": "AGENTIC_PAYMENTS_NOT_ENABLED",
"message": "<string>",
"detail": {}
}
}{
"error": {
"code": "AGENTIC_RESOURCE_NOT_FOUND",
"message": "<string>",
"detail": {}
}
}{
"error": {
"code": "AGENTIC_SERVICE_UNAVAILABLE",
"message": "<string>",
"detail": {}
}
}Agentic
Resume mandate
Agentic Payments - enrollments, mandates, products, quotes, and checkouts.
POST
/
agentic
/
mandates
/
{id}
/
resume
Resume mandate
curl --request POST \
--url https://sg.sandbox.api.reap.global/agentic/mandates/{id}/resume \
--header 'Authorization: Bearer <token>' \
--header 'Reap-Version: <reap-version>'const options = {
method: 'POST',
headers: {'Reap-Version': '<reap-version>', Authorization: 'Bearer <token>'}
};
fetch('https://sg.sandbox.api.reap.global/agentic/mandates/{id}/resume', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sg.sandbox.api.reap.global/agentic/mandates/{id}/resume"
headers = {
"Reap-Version": "<reap-version>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text){
"id": "<string>",
"status": "REQUIRES_ACTION",
"enrollmentId": "<string>",
"owner": {
"type": "REAP_USER",
"id": "<string>",
"email": "<string>"
},
"frequency": "ONE_TIME",
"maxCharges": 0,
"merchantScope": "LISTED",
"merchant": {
"name": "<string>",
"url": "<string>",
"country": "<string>"
},
"amount": {
"amount": 123,
"currency": "<string>"
},
"nextAction": {
"type": "REDIRECT",
"url": "<string>",
"expiresAt": "<string>"
},
"createdAt": "<string>",
"updatedAt": "<string>"
}{
"error": {
"code": "AGENTIC_REQUEST_REJECTED",
"message": "<string>",
"detail": {}
}
}{
"error": {
"code": "AGENTIC_PAYMENTS_NOT_ENABLED",
"message": "<string>",
"detail": {}
}
}{
"error": {
"code": "AGENTIC_RESOURCE_NOT_FOUND",
"message": "<string>",
"detail": {}
}
}{
"error": {
"code": "AGENTIC_SERVICE_UNAVAILABLE",
"message": "<string>",
"detail": {}
}
}Authorizations
API key as Bearer token
Headers
API version (YYYY-MM-DD)
Available options:
2025-02-14 Example:
"2025-02-14"
Path Parameters
Resource identifier
Minimum string length:
1Response
Response for status 200
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Available options:
REQUIRES_ACTION, ACTIVE, PAUSED, CONSUMED, EXPIRED, FAILED, CANCELLED, REVOKED Example:
"REQUIRES_ACTION"
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Show child attributes
Show child attributes
Available options:
ONE_TIME, WEEKLY, MONTHLY, YEARLY Example:
"ONE_TIME"
Required range:
-9007199254740991 <= x <= 9007199254740991Available options:
LISTED, ANY Example:
"LISTED"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$